Subject: Re: [MEXT] Home Link Detection

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 24 Mar 2008 09:22:40 -0700 (PDT)

If the end point that terminates the p2p link is  HA, how does  CFG_REQUEST which is initially sent by MN get routed to HA (by the home MAG in PMIP6)? and vice versa?

Regards,

Behcet

----- Original Message ----
From: "[email-masked]" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Sent: Saturday, March 22, 2008 6:30:06 PM
Subject: Re: [MEXT] Home Link Detection

> > [snip]
> > 
> >>> I'm not clear on the proposal. If you can clarify few things, that
> >>> will help. But, sorry I did not go through the whole thread.
> >>>
> >>> a.) What type of p2p link is this ? Can this be an IPsec link ?
> >> It shouldn't matter. Yes, it can be an IPsec link. As part of
> >> the p2p link setup, the mobile node obtains the IPv6 prefix for
> >> that p2p link.
> >>
> >>> b.) So, on this dynamically created link, how does the home agent
> >>> host the MN's home network prefix ? How does the HA identify the
> >>> MN ? Is there an L2 mechanism assumed for the MN identification ?
> >> The p2p link setup happens independently of the IKEv2 exchange
> >> with the home agent. Both the end point of the p2p link and the
> >> home agent are co-located. And in both cases, the MN presents
> >> an identity (like an NAI or IMSI).
> > 
> > I think you cannot just assume that e.g. the endpoint of
> > the IPSec-based p2p link is co-located with the HA. That 
> > is just one deployment option.
> 
> Sure, but this would mean the mobile node is not on the home
> link.
> 
> If the end point that terminates the p2p link and the home
> agent are not co-located, then you would need a protocol like
> PMIPv6 (with the end point that terminated the p2p link link
> as the MAG and the home agent as the LMA), for the mobile node
> to still think it is on the home link.

Or e.g. l2tp and similar solutions. It is then another issue
whether one would consider p2p link termination point and HA
co-located or not when they are separate physical nodes connected
via l2 tunnels. Similar deployments (in spirit) are common.

Cheers,
    JOuni

> 
> Vijay
> 
> > 
> > Cheers,
> >     Jouni
> > 
> >>> c.) Does the MN know, its establishing a p2p link with the HA ?
> >> No. It sets up a p2p link. Then talks to the HA. Later on it
> >> figures out both the end points are the same, based on the home
> >> link detection mechanism,.
> >>
> >>> d.) On this link, can the home agent send a Router Advertisement ?
> >>> Will that be sufficient for the MN to detect the home ?
> >> Only if the MN already knows its home prefix.
> >>
> >>>> At the last IETF meeting (I wasn't at the meeting, but was 
> >> listening
> >>>> to the audio stream), we had some folks go up to the 
> microphone and
> >>>> say RFC 3775 already specifies how to detect the home link and
> >>>> nothing new is needed. :)
> >>>>
> >>> I did say this at the MIC. Reason, under 3775 
> considerations when MN
> >>> is aware of its home network prefix, the text in 3775/3963 is very
> >>> clear on how the home link is detected. I assume you are bringing
> >>> a new issue of MN not aware of its HNP, P2P links, IKE ...etc, the
> >>> proposal was not clear. May be a description of the 
> proposal, stated
> >>> assumptions and the required solution will really help.
> >> I expect the home agent and home prefix allocation to happen
> >> dynamically. The allocations could even change based on what
> >> service the mobile node wants to access. So the mobile node is
> >> not pre-configured with a home prefix.
> >>
> >> draft-devarapalli-mext-mipv6-home-link-01.txt talks about this
> >> in detail. For just the description of the home link detection
> >> issue, please see
> >> http://www.ietf.org/mail-archive/web/mext/current/msg00831.html
> >>
> >> Vijay
> >> _______________________________________________
> >> MEXT mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/mext
> >>
> 
> 
_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext